The "Get Blog posts by Blog ID" API allows you get blog posts for any given blog site using blog ID.Please use blogs/posts.readonly
The "Get Blog posts by Blog ID" API allows you get blog posts for any given blog site using blog ID.Please use blogs/posts.readonly
http
GET https://services.leadconnectorhq.com/blogs/posts/all
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Query parameters
Name
Type
Required
Example
Description
locationId
string
Yes
ve9EPM428h8vShlRW1KT
blogId
string
Yes
66f429b8afdce84227a4610d
limit
number
Yes
4
offset
number
Yes
searchTerm
string
No
ai news
search for any post by name
status
string
No
PUBLISHED
Responses
200 - Successful response
blogs (object[], required): Object containing response data of blog posts
categories (string[], required): Array of category IDs associated with the blog post
tags (string[]): Array of tags associated with the blog post
archived (boolean, required): Indicates whether the blog post is archived Example: False
_id (string, required): Unique identifier of the blog post Example: 66c381b38be80858b9af62b6
title (string, required): Title of the blog post Example: Banana is good source of energy
description (string, required): Description of the blog post Example: Description
imageUrl (string, required): URL of the image associated with the blog post Example: https://storage.googleapis.com/ghl-test/fACm0Ojm5oC70G3DcFmE/media/66b5aa3b1745b2713a8d033f.jpeg
status (string, required): Publication status of the blog post Example: PUBLISHED
imageAltText (string, required): Alternative text for the blog post image Example: alt
urlSlug (string, required): URL slug for the blog post Example: banana-good-energy
canonicalLink (string): Canonical link of the blog post Example: https://blog.chatgpts.agency/post/test-8384
author (string): Identifier of the author of the blog post Example: 659ec9634a3796e4e47cc360
publishedAt (string, required): Timestamp when the blog post was published Example: 2024-08-19T17:14:57.000Z
updatedAt (string, required): Timestamp when the blog post was last updated Example: 2024-08-19T17:32:36.182Z